# BoidRuleGoal(BoidRule)

base classes — `bpy_struct`, `BoidRule`

class `bpy.types.``BoidRuleGoal`(BoidRule)
  `object`

    Goal object

    Type: | `Object`

  `use_predict`

    Predict target movement

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `BoidRule.name` `BoidRule.type` | `BoidRule.use_in_air` `BoidRule.use_on_land`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`